# Asterisk Project : Asterisk 13 Application_AMD

Created by wikibot on Aug 08, 2014

# AMD()

### Synopsis

Attempt to detect answering machines.

### Description

This application attempts to detect answering machines at the beginning of outbound calls. Simply call this application after the call has been answered (outbound only, of course).

When loaded, AMD reads amd.conf and uses the parameters specified as default values. Those default values get overwritten when the calling AMD with parameters.

This application sets the following channel variables:

- `AMDSTATUS` - This is the status of the answering machine detection
  - MACHINE
  - HUMAN
  - NOTSURE
  - HANGUP
- `AMDCAUSE` - Indicates the cause that led to the conclusion
  - TOOLONG - Total Time.
  - INITIALSILENCE - Silence Duration - Initial Silence.
  - HUMAN - Silence Duration - afterGreetingSilence.
  - LONGGREETING - Voice Duration - Greeting.
  - MAXWORDLENGTH - Word Count - maximum number of words.

### Syntax

    AMD([initialSilence,[greeting,[afterGreetingSilence,[totalAnalysis Time,[miniumWordLength,[betweenWordSilence,[maximumNumberOfWords,[silenceThreshold,[maximumWordLength]]]]]]]]])

##### Arguments

- `initialSilence` - Is maximum initial silence duration before greeting.
  If this is exceeded set as MACHINE
- `greeting` - is the maximum length of a greeting.
  If this is exceeded set as MACHINE
- `afterGreetingSilence` - Is the silence after detecting a greeting.
  If this is exceeded set as HUMAN
- `totalAnalysis Time` - Is the maximum time allowed for the algorithm
  to decide HUMAN or MACHINE
- `miniumWordLength` - Is the minimum duration of Voice considered to be a word
- `betweenWordSilence` - Is the minimum duration of silence after a word to consider the audio that follows to be a new word
- `maximumNumberOfWords` - Is the maximum number of words in a greeting
  If this is exceeded set as MACHINE
- `silenceThreshold` - How long do we consider silence
- `maximumWordLength` - Is the maximum duration of a word to accept.
  If exceeded set as MACHINE

### See Also

- Asterisk 13 Application_WaitForSilence
- Asterisk 13 Application_WaitForNoise

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538